"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

FileSelectionBox subclass:#FileSaveBox
	 instanceVariableNames:'appendAction'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-DialogBoxes'
!

FileSaveBox comment:'
COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

$Header: /cvs/stx/stx/libwidg/Attic/FSaveBox.st,v 1.2 1994-10-10 03:01:26 claus Exp $
'!

!FileSaveBox class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
"
$Header: /cvs/stx/stx/libwidg/Attic/FSaveBox.st,v 1.2 1994-10-10 03:01:26 claus Exp $
"
!

documentation
"
    Instances of FileSaveBox add an 'append'-button. The other
    behavior is that of a FileSelectionBox.

    Instance variables:
	appendAction            action to be performed when append is pressed
"
! !

!FileSaveBox methodsFor:'user interaction'!

appendPressed
    self hideAndEvaluate:[:string |
	appendAction notNil ifTrue:[
	    appendAction value:string 
	]
    ]
! !

!FileSaveBox methodsFor:'initialization'!

initialize
    |b|

    super initialize.

    okButton label:(resources string:'save').

    "
     insert an append-button between abort- and save-buttons
    "
    b := Button okButtonIn:nil.
    b isReturnButton:false.
    b label:(resources string:'append').
    b action:[b turnOffWithoutRedraw. self appendPressed].
    buttonPanel addSubView:b after:abortButton
! !

!FileSaveBox methodsFor:'accessing'!

appendAction:aBlock
    "set the action to be performed when append is pressed"

    appendAction := aBlock
! !
